Skip to content
Guides
OrdersOrders
order:update

Upload import file

POST/v1/orders/import-assets

Upload import file. A successful request returns HTTP 201 with the documented response body.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Query Parameters

fileName*string

Name of the file.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/octet-stream

Raw CSV, TSV, or XLSX import file.

TypeScript Definitions

Use the request body type in TypeScript.

body*file
Formatbinary

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/orders/import-assets?fileName=Example+resource" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/octet-stream" \  -d '@./pedidos.csv'
{  "assetId": "7204558912004325301",  "fileName": "Example resource",  "contentType": "example",  "size": 1,  "sha256": "example"}